/*
  a basic player
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */





#ifndef _PLAYER_H
#define _PLAYER_H


#include <yafAmplifier/metaPlayer.h>

#include <devices/audioDeviceLinux.h>
#include <devices/multicastDevice.h>
#include <devices/realTimeAudioDevice.h>
#include <devices/timerDevice.h>


class Player : public MetaPlayer {

  OutputDevice* aDevice;
  AudioDevice* audioDevice;
  RealTimeAudioDevice* audioDeviceRT;
  TimerDevice* timerDevice;

 public:
  Player();
  ~Player();

 protected:
  OutputDevice* getInternalDeviceTree();
};

#endif;


  
